List Public Merchant Products
curl --request GET \
--url https://omnicommerce.sg/api/v1/merchants/{merchantId}/productsconst options = {method: 'GET'};
fetch('https://omnicommerce.sg/api/v1/merchants/{merchantId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/merchants/{merchantId}/products"
response = requests.get(url)
print(response.text){
"ok": true,
"apiVersion": "merchant_products_v1"
}Public Agent
List Public Merchant Products
Browse a single merchant’s public product feed with optional marketplace and localization filters.
GET
/
api
/
v1
/
merchants
/
{merchantId}
/
products
List Public Merchant Products
curl --request GET \
--url https://omnicommerce.sg/api/v1/merchants/{merchantId}/productsconst options = {method: 'GET'};
fetch('https://omnicommerce.sg/api/v1/merchants/{merchantId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.sg/api/v1/merchants/{merchantId}/products"
response = requests.get(url)
print(response.text){
"ok": true,
"apiVersion": "merchant_products_v1"
}Path Parameters
Query Parameters
Marketplace platform filter.
Available options:
shopee, lazada, tiktok, shopify, whatsapp, zalora, amazon, ebay Marketplace country hint (example: sg).
Localization language. Defaults to en.
Available options:
en, th, id, ms, vi, tl Result limit (1..100). Defaults to 20.
Required range:
1 <= x <= 100Pagination offset (0..10000). Defaults to 0.
Required range:
0 <= x <= 10000